<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: from_unixtime</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for from_unixtime {SparkR}"><tr><td>from_unixtime {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>from_unixtime</h2>

<h3>Description</h3>

<p>Converts the number of seconds from unix epoch (1970-01-01 00:00:00 UTC) to a string
representing the timestamp of that moment in the current system time zone in the given
format.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column'
from_unixtime(x, format = "yyyy-MM-dd HH:mm:ss")

from_unixtime(x, ...)
</pre>


<h3>See Also</h3>

<p>Other datetime_funcs: <code><a href="add_months.html">add_months</a></code>,
<code><a href="add_months.html">add_months</a></code>; <code><a href="date_add.html">date_add</a></code>,
<code><a href="date_add.html">date_add</a></code>; <code><a href="date_format.html">date_format</a></code>,
<code><a href="date_format.html">date_format</a></code>; <code><a href="date_sub.html">date_sub</a></code>,
<code><a href="date_sub.html">date_sub</a></code>; <code><a href="datediff.html">datediff</a></code>,
<code><a href="datediff.html">datediff</a></code>; <code><a href="dayofmonth.html">dayofmonth</a></code>,
<code><a href="dayofmonth.html">dayofmonth</a></code>; <code><a href="dayofyear.html">dayofyear</a></code>,
<code><a href="dayofyear.html">dayofyear</a></code>;
<code><a href="from_utc_timestamp.html">from_utc_timestamp</a></code>,
<code><a href="from_utc_timestamp.html">from_utc_timestamp</a></code>; <code><a href="hour.html">hour</a></code>,
<code><a href="hour.html">hour</a></code>; <code><a href="last_day.html">last_day</a></code>,
<code><a href="last_day.html">last_day</a></code>; <code><a href="minute.html">minute</a></code>,
<code><a href="minute.html">minute</a></code>; <code><a href="months_between.html">months_between</a></code>,
<code><a href="months_between.html">months_between</a></code>; <code><a href="month.html">month</a></code>,
<code><a href="month.html">month</a></code>; <code><a href="next_day.html">next_day</a></code>,
<code><a href="next_day.html">next_day</a></code>; <code><a href="quarter.html">quarter</a></code>,
<code><a href="quarter.html">quarter</a></code>; <code><a href="second.html">second</a></code>,
<code><a href="second.html">second</a></code>; <code><a href="to_date.html">to_date</a></code>,
<code><a href="to_date.html">to_date</a></code>; <code><a href="to_utc_timestamp.html">to_utc_timestamp</a></code>,
<code><a href="to_utc_timestamp.html">to_utc_timestamp</a></code>;
<code><a href="unix_timestamp.html">unix_timestamp</a></code>,
<code><a href="unix_timestamp.html">unix_timestamp</a></code>,
<code><a href="unix_timestamp.html">unix_timestamp</a></code>,
<code><a href="unix_timestamp.html">unix_timestamp</a></code>; <code><a href="weekofyear.html">weekofyear</a></code>,
<code><a href="weekofyear.html">weekofyear</a></code>; <code><a href="year.html">year</a></code>,
<code><a href="year.html">year</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: 
from_unixtime(df$t)
from_unixtime(df$t, 'yyyy/MM/dd HH')

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
